<?xml version="1.0"?>
<doc>
    <assembly>
        <name>C1.Xaml.ImportServices</name>
    </assembly>
    <members>
        <member name="T:C1.Xaml.Ssrs.SecurityException">
            <summary>
            Exception caused by invalid user credentials during connection.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.SecurityException.#ctor(System.String,System.Exception)">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.SecurityException"/> class.
            </summary>
            <param name="path">Path accessing which leads to exception.</param>
            <param name="ex">The exception that is the cause of the current exception, or a null reference (Nothing in Visual Basic) if no inner exception is specified.</param>
        </member>
        <member name="P:C1.Xaml.Ssrs.SecurityException.Path">
            <summary>
            Gets a path accessing which leads to exception.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ConnectionBase">
            <summary>
            Base class representing connection to the SSRS server.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ConnectionBase.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.ConnectionBase"/> class.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ConnectionBase.Finalize">
            <summary>
            Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ConnectionBase.Dispose">
            <summary>
            Releases all resources used by the <see cref="T:C1.Xaml.Ssrs.ConnectionBase"/> object.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ConnectionBase.SetConnectionOptions(System.String,C1.Xaml.Ssrs.ConnectionOptions)">
            <summary>
            Sets the current connection options.
            </summary>
            <param name="reportServer">Address of SSRS server, like http://www.site.com/ReportServer. </param>
            <param name="connectionOptions"><see cref="P:C1.Xaml.Ssrs.ConnectionBase.ConnectionOptions"/> object defines type of authentication, credential etc.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.ConnectionBase.Combine(System.String,System.String)">
            <summary>
            Combines two strings into a path.
            </summary>
            <param name="addr1">The first path to combine.</param>
            <param name="addr2">The second path to combine.</param>
            <returns>The combined paths. If one of the specified paths is a zero-length string, this method returns the other path.</returns>
        </member>
        <member name="P:C1.Xaml.Ssrs.ConnectionBase.ReportServer">
            <summary>
            Gets the address of SSRS server used in connection.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ConnectionBase.ConnectionOptions">
            <summary>
            Gets the <see cref="P:C1.Xaml.Ssrs.ConnectionBase.ConnectionOptions"/> class specifies type of authentication, credential etc.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.AuthenticationType">
            <summary>
            Defines SSRS authentication types.
            These values correspond to <b>Authentication</b> section in
            <b>rsreportserver.config</b> file.
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.AuthenticationType.Negotiate">
            <summary>
            Use this setting if SSRS supports following autentication types:
            <b>RSWindowsNegotiate</b>, <b>RSWindowsKerberos</b>.
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.AuthenticationType.NTLM">
            <summary>
            Use this setting if SSRS supports: <b>RSWindowsNTLM</b>.
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.AuthenticationType.Basic">
            <summary>
            Use this setting if SSRS supports: <b>RSWindowsBasic</b>.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ConnectionOptions">
            <summary>
            Defines options used when connecting to SSRS.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ConnectionOptions.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.ConnectionOptions"/> class.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ConnectionOptions.#ctor(System.Net.NetworkCredential)">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.ConnectionOptions"/> class.
            </summary>
            <param name="credential">Value of <see cref="P:C1.Xaml.Ssrs.ConnectionOptions.Credential"/> property.s</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.ConnectionOptions.ShouldSerialize">
            <summary>
            Indicates whether the current <see cref="T:C1.Xaml.Ssrs.ConnectionOptions"/> object should be serialized.
            </summary>
            <returns><b>true</b> if the current <see cref="T:C1.Xaml.Ssrs.ConnectionOptions"/> object should be serialized, <b>false</b> otherwise.</returns>
        </member>
        <member name="P:C1.Xaml.Ssrs.ConnectionOptions.AuthenticationType">
            <summary>
            Gets or sets the type of authentication used in SSRS connection.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ConnectionOptions.Credential">
            <summary>
            Gets or sets credential used is SSRS connection.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ServerConnection">
            <summary>
            Represents a connection to the SSRS server can be used to execute methods available
            via ReportingService.asmx service.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ServerConnection.Dispose">
            <summary>
            Releases all resources used by the <see cref="T:C1.Xaml.Ssrs.ServerConnection"/> object.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ServerConnection.SetConnectionOptions(System.String,C1.Xaml.Ssrs.ConnectionOptions)">
            <summary>
            Sets the current connection options.
            </summary>
            <param name="reportServer">Address of SSRS server, like http://www.site.com/ReportServer. </param>
            <param name="connectionOptions"><see cref="T:C1.Xaml.Ssrs.ConnectionOptions"/> object defines type of authentication, credential etc.</param>
        </member>
        <!-- Badly formed XML comment ignored for member "M:C1.Xaml.Ssrs.ServerConnection.ListChildrenAsync(System.String,System.Boolean,System.Threading.CancellationToken)" -->
        <member name="M:C1.Xaml.Ssrs.ServerConnection.ListChildren(System.String,System.Boolean,System.Threading.CancellationToken)">
            <summary>
            Gets a list of children of a specified folder.
            </summary>
            <param name="path">The full path name of the parent folder.</param>
            <param name="recursive">A Boolean value that indicates whether to return the entire tree of child items below the specified item.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel a request.</param>
            <returns>An array of CatalogItem objects. If no children exist, this method returns an empty CatalogItem object.</returns>
        </member>
        <member name="T:C1.Xaml.Ssrs.IReaderLog">
            <summary>
            Allows a <see cref="T:C1.Xaml.Ssrs.ReaderBase"/> to build a log while parsing an SSRS stream (RPL or RGDI).
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.IReaderLog.Log(System.String)">
            <summary>
            Logs a message.
            </summary>
            <param name="message">The logged message.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.IReaderLog.Log(System.String,System.Object[])">
            <summary>
            Logs a formatted message.
            </summary>
            <param name="format">The message formatting string.</param>
            <param name="args">The list of parameters supplied to the formatting string.</param>
        </member>
        <member name="P:C1.Xaml.Ssrs.IReaderLog.Indent">
            <summary>
            Gets or sets the indent for the log.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ReaderException">
            <summary>
            Represents an exception that occurred while parsing an SSRS stream (RPL or RGDI).
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReaderException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.ReaderException"/> class with common
            error message "Invalid stream".
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReaderException.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.ReaderException"/> class 
            with a specified error message.
            </summary>
            <param name="message">The exception error message.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReaderException.#ctor(System.String,System.Object[])">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.ReaderException"/> class 
            with a formatted error message.
            </summary>
            <param name="message">The exception message formatting string.</param>
            <param name="args">The list of parameters supplied to the formatting string.</param>
        </member>
        <member name="T:C1.Xaml.Ssrs.ReaderBase">
            <summary>
            Abstract base class for classes used to read SSRS streams (RPL or RGDI).
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.ReaderBase.m_Br">
            <summary>
            For internal use only.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReaderBase.#ctor(System.IO.Stream,C1.Xaml.Ssrs.IReaderLog)">
            <summary>
            Initializes a new instance of the ReaderBase class.
            </summary>
            <param name="stream">The input stream.</param>
            <param name="log">The object to use for building the input parsing log.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReaderBase.Init">
            <summary>
            For internal use.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReaderBase.Dispose">
            <summary>
            Disposes the current instance.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReaderBase.Eof">
            <summary>
            Gets a value indicating whether the end of the underlying stream has been reached.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReaderBase.Stream">
            <summary>
            Gets the underlying stream.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReaderBase.Log">
            <summary>
            Gets the <see cref="T:C1.Xaml.Ssrs.IReaderLog"/> object used to build the parsing log.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReaderBase.Offset">
            <summary>
            Gets the current offset in the underlying stream.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.PageLayout">
            <summary>
            Defines the page layout used then report generated.
            Values specified via <see cref="T:C1.Xaml.Ssrs.PageLayout"/> overrides the report original settings.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.PageLayout.Columns">
            <summary>
            Gets or sets the number of columns.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.PageLayout.ColumnSpacing">
            <summary>
            Gets or sets the column spacing in millimeters.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.PageLayout.MarginLeft">
            <summary>
            Gets or sets the left margin in millimeters.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.PageLayout.MarginTop">
            <summary>
            Gets or sets the top margin in millimeters.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.PageLayout.MarginRight">
            <summary>
            Gets or sets the right margin in millimeters.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.PageLayout.MarginBottom">
            <summary>
            Gets or sets the bottom margin in millimeters.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.PageLayout.PageWidth">
            <summary>
            Gets or sets the page width in millimeters.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.PageLayout.PageHeight">
            <summary>
            Gets or sets the page height in millimeters.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ReportAddressBase">
            <summary>
            Base class represents address of the report.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ReportAddress">
            <summary>
            Defines address of the report via full path of the report on the server.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportAddress.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.ReportAddress"/> class.
            </summary>
            <param name="reportPath">Full path of the report.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportAddress.ToString">
            <summary>
            Converts the value of the current <see cref="T:C1.Xaml.Ssrs.ReportAddress"/> object to its equivalent string representation.
            </summary>
            <returns>A string representation of the value of the current <see cref="T:C1.Xaml.Ssrs.ReportAddress"/> object.</returns>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReportAddress.ReportPath">
            <summary>
            Gets the full address of the report.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.DrillthroughReportAddress">
            <summary>
            Defines address of the drillthrough report.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.DrillthroughReportAddress.#ctor(System.String,System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.DrillthroughReportAddress"/> class.
            </summary>
            <param name="executionID">Execution ID of the master report.</param>
            <param name="drillthroughID">Drillthrough ID specifies the drillthrough report.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.DrillthroughReportAddress.ToString">
            <summary>
            Converts the value of the current <see cref="T:C1.Xaml.Ssrs.DrillthroughReportAddress"/> object to its equivalent string representation.
            </summary>
            <returns>A string representation of the value of the current <see cref="T:C1.Xaml.Ssrs.DrillthroughReportAddress"/> object.</returns>
        </member>
        <member name="P:C1.Xaml.Ssrs.DrillthroughReportAddress.ExecutionID">
            <summary>
            Gets the execution ID of the master report.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.DrillthroughReportAddress.DrillthroughID">
            <summary>
            Gets the ID of drillthrough report.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.SessionReportAddress">
            <summary>
            Defines address of the report session.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.SessionReportAddress.#ctor(System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.SessionReportAddress"/> class.
            </summary>
            <param name="sessionID">Session ID of the report.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.SessionReportAddress.ToString">
            <summary>
            Converts the value of the current <see cref="T:C1.Xaml.Ssrs.SessionReportAddress"/> object to its equivalent string representation.
            </summary>
            <returns>A string representation of the value of the current <see cref="T:C1.Xaml.Ssrs.SessionReportAddress"/> object.</returns>
        </member>
        <member name="P:C1.Xaml.Ssrs.SessionReportAddress.SessionID">
            <summary>
            Gets the session ID of the report.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ReportPosition">
            <summary>
            Defines position within report.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportPosition.#ctor(System.String,System.Int32)">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.ReportPosition"/> class.
            </summary>
            <param name="reportItemID">The ID of the report item.</param>
            <param name="pageIndex">The index of the page.</param>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReportPosition.ReportItemID">
            <summary>
            Gets the ID of the report item.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReportPosition.PageIndex">
            <summary>
            The page index.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ParameterValueError">
            <summary>
            Represents a parameter value error.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ParameterValueError.ParameterName">
            <summary>
            Gets the name of the parameter associated with the error.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ParameterValueError.Value">
            <summary>
            Gets the erroneous value.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ParameterValueError.ErrorMessage">
            <summary>
            Gets the error message.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.ReportSession">
            <summary>
            Represents a connection to the report on the SSRS server.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.Dispose">
            <summary>
            Releases all resources used by the <see cref="T:C1.Xaml.Ssrs.ReportSession"/> object.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.SetConnectionOptions(System.String,C1.Xaml.Ssrs.ConnectionOptions)">
            <summary>
            Sets the current connection options.
            </summary>
            <param name="reportServer">Address of SSRS server, like http://www.site.com/ReportServer. </param>
            <param name="connectionOptions"><see cref="T:C1.Xaml.Ssrs.ConnectionOptions"/> object defines type of authentication, credential etc.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.Open(C1.Xaml.Ssrs.ReportAddressBase,System.Threading.CancellationToken)">
            <summary>
            Loads a report, this report should be called before calling any other methods of the <see cref="T:C1.Xaml.Ssrs.ReportSession"/>.
            </summary>
            <param name="reportAddress"><see cref="P:C1.Xaml.Ssrs.ReportSession.ReportAddress"/> object specifies location of the report on the server.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.CheckParameterValues(System.Collections.Generic.IList{C1.Xaml.ImportServices.ReportExecutionXaml.ParameterValue},System.Threading.CancellationToken)">
            <summary>
            Checks values of the report's parameters, and returns list of report parameters
            with invalid values, refreshes state of parameters if no errors.
            </summary>
            <param name="values">Values to check.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns>List of the <see cref="T:C1.Xaml.Ssrs.ParameterValueError"/> objects, list can be null or empty if no error occurs.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.ApplyParameterValues(C1.Xaml.ImportServices.ReportExecutionXaml.ParameterValue[],System.Threading.CancellationToken)">
            <summary>
            Sets and validates parameter values associated with the loaded report.
            </summary>
            <param name="values">Values of parameters.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns>List of the <see cref="T:C1.Xaml.Ssrs.ParameterValueError"/> objects, list is empty if no error occurs and null if action was cancelled.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.GetUpdatedParameters(C1.Xaml.ImportServices.ReportExecutionXaml.ParameterValue[])">
            <summary>
            Returns the updated parameters for the specified values of the query parameters.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.GetContentAsync(System.Int32,System.Int32,C1.Xaml.Ssrs.ReportSession.ReportFormat,C1.Xaml.Ssrs.PageLayout)">
            <summary>
            Returns content for specified range of pages.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.GetContent(System.Int32,System.Int32,C1.Xaml.Ssrs.ReportSession.ReportFormat,C1.Xaml.Ssrs.PageLayout,System.Nullable{System.Int32},System.Nullable{System.Int32},System.Threading.CancellationToken)">
            <summary>
            Generates report in specific format.
            <paramref name="startPageIndex"/> and <paramref name="pageCount"/> specify
            range of pages, set <paramref name="pageCount"/> to 0 to request all pages of the report.
            </summary>
            <param name="startPageIndex">The first page of the report to render.</param>
            <param name="pageCount">Count of pages to load, set this parameter to 0 to request all pages of the report, <paramref name="startPageIndex"/> ignored in this case.</param>
            <param name="format"><see cref="T:C1.Xaml.Ssrs.ReportSession.ReportFormat"/> object specifies the report format.</param>
            <param name="pageLayout"><see cref="T:C1.Xaml.Ssrs.PageLayout"/> object specifies the page settings, this parameter used only for PDF and IMAGE formats.</param>
            <param name="dpiX">Specifies print horizontal dpi, used only for EMF format, see PrintDpiX in SSRS help.</param>
            <param name="dpiY">Specifies print vertical dpi, used only for EMF format, see PrintDpiY in SSRS help.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns>Array of bytes contains generated content, <b>null</b> if action was cancelled.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.GetContent(System.String,System.String,System.Threading.CancellationToken)">
            <summary>
            Gets report content in specific format.
            </summary>
            <param name="format">Strings specifies report format "PDF", "IMAGE" etc.</param>
            <param name="deviceInfo">DeviceInfo string specifies additional parameters.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns>Array of bytes contains generated content.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.GetPageCount(C1.Xaml.Ssrs.ReportSession.ReportFormat,C1.Xaml.Ssrs.PageLayout,System.Threading.CancellationToken)">
            <summary>
            Returns count of pages in the report.
            </summary>
            <param name="format"><see cref="T:C1.Xaml.Ssrs.ReportSession.ReportFormat"/> object specifies the report format.</param>
            <param name="pageLayout"><see cref="T:C1.Xaml.Ssrs.PageLayout"/> object specifies the page settings, this parameter used only for PDF and IMAGE formats.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns>Count of pages or -1 if actions was cancelled.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.GetDocumentMap(System.Threading.CancellationToken)">
            <summary>
            Returns the report document map (report outlines),
            can be called only after <see cref="M:C1.Xaml.Ssrs.ReportSession.GetContent(System.Int32,System.Int32,C1.Xaml.Ssrs.ReportSession.ReportFormat,C1.Xaml.Ssrs.PageLayout,System.Nullable{System.Int32},System.Nullable{System.Int32},System.Threading.CancellationToken)"/> method.
            </summary>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns><see cref="T:C1.Xaml.ImportServices.ReportExecutionXaml.DocumentMapNode"/> representing report outlines, <b>null</b> if method was cancelled.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.ToggleItem(System.String,System.Threading.CancellationToken)">
            <summary>
            Toggles the show/hide item in a report.
            </summary>
            <param name="toggleID">The ID of the item to toggle.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns><b>true</b> if item was successfully toggled, <b>false</b> otherwise.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.Sort(System.String,C1.Xaml.ImportServices.ReportExecutionXaml.SortDirectionEnum,System.Boolean,System.Threading.CancellationToken)">
            <summary>
            Applies or removes a sort for the report based on a user sort action.
            </summary>
            <param name="sortID">The ID of the report item on which to sort.</param>
            <param name="direction">A SortDirectionEnum value containing the direction for the sort.</param>
            <param name="clear">Indicates whether all other existing sorts should be cleared.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns><see cref="T:C1.Xaml.Ssrs.ReportPosition"/> object specifies position in the report where viewer should be focused after sorting.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.NavigateBookmark(System.String,System.Threading.CancellationToken)">
            <summary>
            Navigates to a specific bookmark in the report.
            </summary>
            <param name="bookmarkID">The ID of the bookmark.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns><see cref="T:C1.Xaml.Ssrs.ReportPosition"/> object specifies position of the bookmark in the report, <b>null</b> if method was cancelled.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.NavigateDocumentMap(System.String,System.Threading.CancellationToken)">
            <summary>
            Navigates to a specific section of the report.
            </summary>
            <param name="docMapID">The DocumentMapNode ID of the section.</param>
            <param name="cancellationToken"><see cref="T:System.Threading.CancellationToken"/> that can be used to cancel an action.</param>
            <returns><see cref="T:C1.Xaml.Ssrs.ReportPosition"/> object specifies position in the report.</returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.ReportSession.CheckReportPath(System.String)">
            <summary>
            For internal use only.
            </summary>
            <param name="reportPath"></param>
            <returns></returns>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReportSession.ReportAddress">
            <summary>
            Gets the <see cref="T:C1.Xaml.Ssrs.ReportAddressBase"/> object defines report address currently opened.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReportSession.ReportPath">
            <summary>
            Gets the report path currently opened.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReportSession.ExecutionID">
            <summary>
            Gets the ID of SSRS session.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReportSession.Parameters">
            <summary>
            Gets the list of parameters of the currently loaded report.
            </summary>
        </member>
        <member name="P:C1.Xaml.Ssrs.ReportSession.DefaultPageLayout">
            <summary>
            Gets the <see cref="T:C1.Xaml.Ssrs.PageLayout"/> object specifies the default report page settings.
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.RplReader.RplParsingException">
            <summary>
            Represents an exception that occurred during parsing the RPL stream.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.RplReader.RplParsingException.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:C1.Xaml.Ssrs.RplReader.RplParsingException"/> class with common
            error message "Invalid RPL stream".
            </summary>
        </member>
        <member name="T:C1.Xaml.Ssrs.RplReader.RplReader">
            <summary>
            Implements parsing of RPL stream.
            </summary>
        </member>
        <member name="M:C1.Xaml.Ssrs.RplReader.RplReader.ReadPage">
            <summary>
            Reads next page from RPL stream, returns <b>null</b> if stream has no more pages.
            </summary>
            <returns></returns>
        </member>
        <member name="M:C1.Xaml.Ssrs.RplReader.RplReader.GetPage(System.Int32)">
            <summary>
            Gets page with specified index from stream,
            before calling of this method all pages should be read via ReadPage() method.
            </summary>
            <param name="pageIndex"></param>
            <returns></returns>
        </member>
        <member name="P:C1.Xaml.Ssrs.RplReader.RplReader.ReportItems">
            <summary>
            Gets collection of all report item loaded during RPL parsing.
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.RplReader.Recs.NumeralVariantType.Dig01234567890">
            <summary>
            01234567890
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.RplReader.Recs.NumeralVariantType.Traditional">
            <summary>
            Traditional digits for the script as defined in GDI+.
            Applicable only to numeral languages that have the following cultures: ar, bn, bo, fa, gu, hi, kn, kok, lo, mr, ms, or, pa, sa, ta, te, th, ur
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.RplReader.Recs.NumeralVariantType.SimplifiedNumberFormat">
            <summary>
            Applicable only to numeral languages with the following cultures: ko, ja, zh-CHS, zh-CHT
            [Simplified number format]
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.RplReader.Recs.NumeralVariantType.TraditionalNumberFormat">
            <summary>
            Applicable only to numeral languages with the following cultures: ko, ja, zh-CHS, zh-CHT
            [Traditional number format]
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.RplReader.Recs.NumeralVariantType.WideVersionsOfRegularDigits">
            <summary>
            Applicable only to numeral languages with the following cultures: ko, ja, zh-CHS, zh-CHT
            [Wide versions of regular digits]
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.RplReader.Recs.NumeralVariantType.KoNumeralLanguages">
            <summary>
            Applicable only to numeral languages with the following cultures: ko
            </summary>
        </member>
        <member name="F:C1.Xaml.Ssrs.RplReader.Recs.TypeCode.String2">
            <summary>
            This value is not described in the MS-RPL.pdf (RPL specification from MS) but I receive it from SSRS...
            </summary>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionHeader">
            <summary>
            Functionality added to the Microsoft Sql Server Reporting Services
            service reference to force the ExecutionHeader class to correctly
            serialize the execution id into a soap header via wcf.
            </summary>
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionHeader.HeaderName">
            <summary>
            The local name of the header xml element.
            </summary>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionHeader.HeaderNamespace">
            <summary>
            The namespace uri of the header xml element.
            </summary>
        </member>
        <member name="M:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionHeader.CreateMessageHeader">
            <summary>
            Creates a message header containing the ExecutionHeader suitable for
            inclusion in a soap header.
            </summary>
            <returns>A MessageHeader representing the execution context.</returns>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionHeader.ExecutionIDForWcfSoapHeader">
            <summary>
            Gets or sets the execution id for the ExecutionHeader class.
            This dummy property forces the correct serialization of the ExecutionID
            field into the soap header.
            </summary>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionHeader.ExecutionID">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.TrustedUserHeader">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.TrustedUserHeader.HeaderName">
            <summary>
            The local name of the header xml element.
            </summary>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.TrustedUserHeader.HeaderNamespace">
            <summary>
            The namespace uri of the header xml element.
            </summary>
        </member>
        <member name="M:C1.Xaml.ImportServices.ReportExecutionXaml.TrustedUserHeader.CreateMessageHeader">
            <summary>
            Creates a message header containing the ExecutionHeader suitable for
            inclusion in a soap header.
            </summary>
            <returns>A MessageHeader representing the execution context.</returns>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.TrustedUserHeader.UserName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.TrustedUserHeader.UserToken">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.HasSnapshot">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.NeedsProcessing">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.AllowQueryExecution">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.CredentialsRequired">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.ParametersRequired">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.ExpirationDateTime">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.ExecutionDateTime">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.NumPages">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.Parameters">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.DataSourcePrompts">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.HasDocumentMap">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.ExecutionID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.ReportPath">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.HistoryID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.ReportPageSettings">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo.AutoRefreshInterval">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.Type">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.TypeSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.Nullable">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.NullableSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.AllowBlank">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.AllowBlankSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.MultiValue">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.MultiValueSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.QueryParameter">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.QueryParameterSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.Prompt">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.PromptUser">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.PromptUserSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.Dependencies">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.ValidValuesQueryBased">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.ValidValuesQueryBasedSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.ValidValues">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.DefaultValuesQueryBased">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.DefaultValuesQueryBasedSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.DefaultValues">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.State">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.StateSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportParameter.ErrorMessage">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterTypeEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterTypeEnum.Boolean">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterTypeEnum.DateTime">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterTypeEnum.Integer">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterTypeEnum.Float">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterTypeEnum.String">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ValidValue">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ValidValue.Label">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ValidValue.Value">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.Extension">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Extension.ExtensionType">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Extension.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Extension.LocalizedName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Extension.Visible">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Extension.IsModelGenerationSupported">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ExtensionTypeEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ExtensionTypeEnum.Delivery">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ExtensionTypeEnum.Render">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ExtensionTypeEnum.Data">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ExtensionTypeEnum.All">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.DocumentMapNode">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DocumentMapNode.Label">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DocumentMapNode.UniqueName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DocumentMapNode.Children">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterValueOrFieldReference">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterValue">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterValue.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterValue.Value">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterValue.Label">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.DataSourceCredentials">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DataSourceCredentials.DataSourceName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DataSourceCredentials.UserName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DataSourceCredentials.Password">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.Warning">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Warning.Code">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Warning.Severity">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Warning.ObjectName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Warning.ObjectType">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.Warning.Message">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ReportMargins">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportMargins.Top">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportMargins.Bottom">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportMargins.Left">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportMargins.Right">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ReportPaperSize">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportPaperSize.Height">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ReportPaperSize.Width">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.PageSettings">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.PageSettings.PaperSize">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.PageSettings.Margins">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.DataSourcePrompt">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DataSourcePrompt.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DataSourcePrompt.DataSourceID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.DataSourcePrompt.Prompt">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ServerInfoHeader">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ServerInfoHeader.ReportServerVersionNumber">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ServerInfoHeader.ReportServerEdition">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ServerInfoHeader.ReportServerVersion">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ServerInfoHeader.ReportServerDateTime">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterStateEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterStateEnum.HasValidValue">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterStateEnum.MissingValidValue">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterStateEnum.HasOutstandingDependencies">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.ParameterStateEnum.DynamicValuesUnavailable">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo2">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportExecutionXaml.ExecutionInfo2.PageCountMode">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.PageCountMode">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.PageCountMode.Actual">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.PageCountMode.Estimate">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportExecutionXaml.SortDirectionEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.SortDirectionEnum.None">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.SortDirectionEnum.Ascending">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportExecutionXaml.SortDirectionEnum.Descending">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Property">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Property.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Property.Value">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ModelDrillthroughReport">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelDrillthroughReport.Path">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelDrillthroughReport.Type">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DrillthroughType">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.DrillthroughType.Detail">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.DrillthroughType.List">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItem">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItem.ID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItem.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItem.Type">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItem.Description">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItem.ModelItems">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItemTypeEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItemTypeEnum.Model">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItemTypeEnum.EntityFolder">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItemTypeEnum.FieldFolder">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItemTypeEnum.Entity">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItemTypeEnum.Attribute">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ModelItemTypeEnum.Role">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ModelPerspective">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelPerspective.ID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelPerspective.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelPerspective.Description">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ModelCatalogItem">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelCatalogItem.Model">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelCatalogItem.Description">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ModelCatalogItem.Perspectives">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Policy">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Policy.GroupUserName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Policy.Roles">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Role">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Role.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Role.Description">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Task">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Task.TaskID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Task.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Task.Description">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Event">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Event.Type">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Extension">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Extension.ExtensionType">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Extension.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Extension.LocalizedName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Extension.Visible">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Extension.IsModelGenerationSupported">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionTypeEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionTypeEnum.Delivery">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionTypeEnum.Render">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionTypeEnum.Data">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionTypeEnum.All">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.SubscriptionID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.Owner">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.Path">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.VirtualPath">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.Report">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.DeliverySettings">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.Description">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.Status">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.Active">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.LastExecuted">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.LastExecutedSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.ModifiedBy">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.ModifiedDate">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.EventType">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Subscription.IsDataDriven">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionSettings">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionSettings.Extension">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionSettings.ParameterValues">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterFieldReference">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterValueOrFieldReference">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterFieldReference.ParameterName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterFieldReference.FieldAlias">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterValue">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterValue.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterValue.Value">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterValue.Label">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.DeliveryExtensionRemoved">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.DeliveryExtensionRemovedSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.SharedDataSourceRemoved">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.SharedDataSourceRemovedSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.MissingParameterValue">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.MissingParameterValueSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.InvalidParameterValue">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.InvalidParameterValueSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.UnknownReportParameter">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ActiveState.UnknownReportParameterSpecified">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.DisplayName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.Required">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.RequiredSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.ReadOnly">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.Value">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.Error">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.Encrypted">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.IsPassword">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ExtensionParameter.ValidValues">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ValidValue">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ValidValue.Label">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ValidValue.Value">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.QueryDefinition">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.QueryDefinition.CommandType">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.QueryDefinition.CommandText">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.QueryDefinition.Timeout">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.QueryDefinition.TimeoutSpecified">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Field">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Field.Alias">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Field.Name">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.Fields">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.Query">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.CaseSensitivity">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.CaseSensitivitySpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.Collation">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.AccentSensitivity">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.AccentSensitivitySpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.KanatypeSensitivity">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.KanatypeSensitivitySpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.WidthSensitivity">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.WidthSensitivitySpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSetDefinition.Name">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.SensitivityEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.SensitivityEnum.True">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.SensitivityEnum.False">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.SensitivityEnum.Auto">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DataRetrievalPlan">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataRetrievalPlan.Item">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataRetrievalPlan.DataSet">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinitionOrReference">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.Extension">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.ConnectString">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.UseOriginalConnectString">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.OriginalConnectStringExpressionBased">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.CredentialRetrieval">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.WindowsCredentials">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.ImpersonateUser">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.ImpersonateUserSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.Prompt">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.UserName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.Password">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.Enabled">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceDefinition.EnabledSpecified">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.CredentialRetrievalEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.CredentialRetrievalEnum.Prompt">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.CredentialRetrievalEnum.Store">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.CredentialRetrievalEnum.Integrated">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.CredentialRetrievalEnum.None">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceReference">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceReference.Reference">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.InvalidDataSourceReference">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.ScheduleID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.Definition">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.Description">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.Creator">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.NextRunTime">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.NextRunTimeSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.LastRunTime">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.LastRunTimeSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.ReferencesPresent">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Schedule.State">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleDefinition">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleDefinitionOrReference">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleDefinition.StartDateTime">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleDefinition.EndDate">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleDefinition.EndDateSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleDefinition.Item">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DailyRecurrence">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.RecurrencePattern">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DailyRecurrence.DaysInterval">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.WeeklyRecurrence">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.WeeklyRecurrence.WeeksInterval">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.WeeklyRecurrence.WeeksIntervalSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.WeeklyRecurrence.DaysOfWeek">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DaysOfWeekSelector">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DaysOfWeekSelector.Sunday">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DaysOfWeekSelector.Monday">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DaysOfWeekSelector.Tuesday">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DaysOfWeekSelector.Wednesday">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DaysOfWeekSelector.Thursday">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DaysOfWeekSelector.Friday">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DaysOfWeekSelector.Saturday">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.MinuteRecurrence">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MinuteRecurrence.MinutesInterval">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.MonthlyDOWRecurrence">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthlyDOWRecurrence.WhichWeek">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthlyDOWRecurrence.WhichWeekSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthlyDOWRecurrence.DaysOfWeek">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthlyDOWRecurrence.MonthsOfYear">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.WeekNumberEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.WeekNumberEnum.FirstWeek">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.WeekNumberEnum.SecondWeek">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.WeekNumberEnum.ThirdWeek">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.WeekNumberEnum.FourthWeek">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.WeekNumberEnum.LastWeek">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.January">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.February">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.March">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.April">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.May">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.June">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.July">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.August">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.September">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.October">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.November">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthsOfYearSelector.December">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.MonthlyRecurrence">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthlyRecurrence.Days">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.MonthlyRecurrence.MonthsOfYear">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.NoSchedule">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleReference">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleReference.ScheduleID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleReference.Definition">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleStateEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleStateEnum.Ready">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleStateEnum.Running">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleStateEnum.Paused">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleStateEnum.Expired">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleStateEnum.Failing">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ReportHistorySnapshot">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportHistorySnapshot.HistoryID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportHistorySnapshot.CreationDate">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportHistorySnapshot.Size">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourcePrompt">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourcePrompt.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourcePrompt.DataSourceID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourcePrompt.Prompt">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DataSource">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSource.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSource.Item">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Job">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.JobID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.Path">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.Description">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.Machine">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.User">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.StartDateTime">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.Action">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.Type">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Job.Status">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.JobActionEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobActionEnum.Render">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobActionEnum.SnapshotCreation">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobActionEnum.ReportHistoryCreation">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobActionEnum.ExecuteQuery">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.JobTypeEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobTypeEnum.User">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobTypeEnum.System">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.JobStatusEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobStatusEnum.New">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobStatusEnum.Running">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.JobStatusEnum.CancelRequested">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ExpirationDefinition">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.TimeExpiration">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.TimeExpiration.Minutes">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleExpiration">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ScheduleExpiration.Item">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.Type">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.TypeSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.Nullable">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.NullableSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.AllowBlank">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.AllowBlankSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.MultiValue">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.MultiValueSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.QueryParameter">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.QueryParameterSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.Prompt">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.PromptUser">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.PromptUserSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.Dependencies">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.ValidValuesQueryBased">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.ValidValuesQueryBasedSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.ValidValues">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.DefaultValuesQueryBased">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.DefaultValuesQueryBasedSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.DefaultValues">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.State">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.StateSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ReportParameter.ErrorMessage">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterTypeEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterTypeEnum.Boolean">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterTypeEnum.DateTime">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterTypeEnum.Integer">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterTypeEnum.Float">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterTypeEnum.String">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterStateEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterStateEnum.HasValidValue">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterStateEnum.MissingValidValue">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterStateEnum.HasOutstandingDependencies">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ParameterStateEnum.DynamicValuesUnavailable">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceCredentials">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceCredentials.DataSourceName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceCredentials.UserName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.DataSourceCredentials.Password">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.Warning">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Warning.Code">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Warning.Severity">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Warning.ObjectName">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Warning.ObjectType">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.Warning.Message">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ItemNamespaceHeader">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ItemNamespaceHeader.ItemNamespace">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ItemNamespaceEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemNamespaceEnum.PathBased">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemNamespaceEnum.GUIDBased">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.ID">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.Name">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.Path">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.VirtualPath">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.Type">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.Size">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.SizeSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.Description">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.Hidden">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.HiddenSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.CreationDate">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.CreationDateSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.ModifiedDate">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.ModifiedDateSpecified">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.CreatedBy">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.ModifiedBy">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.MimeType">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.ExecutionDate">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.CatalogItem.ExecutionDateSpecified">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ItemTypeEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemTypeEnum.Unknown">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemTypeEnum.Folder">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemTypeEnum.Report">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemTypeEnum.Resource">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemTypeEnum.LinkedReport">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemTypeEnum.DataSource">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ItemTypeEnum.Model">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.BatchHeader">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.BatchHeader.BatchID">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ServerInfoHeader">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ServerInfoHeader.ReportServerVersionNumber">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ServerInfoHeader.ReportServerEdition">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ServerInfoHeader.ReportServerVersion">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.ServerInfoHeader.ReportServerDateTime">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.SearchCondition">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.SearchCondition.Condition">
            <remarks/>
        </member>
        <member name="P:C1.Xaml.ImportServices.ReportingServiceXaml.SearchCondition.ConditionSpecified">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ConditionEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ConditionEnum.Contains">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ConditionEnum.Equals">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.ExecutionSettingEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ExecutionSettingEnum.Live">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.ExecutionSettingEnum.Snapshot">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.BooleanOperatorEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.BooleanOperatorEnum.And">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.BooleanOperatorEnum.Or">
            <remarks/>
        </member>
        <member name="T:C1.Xaml.ImportServices.ReportingServiceXaml.SecurityScopeEnum">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.SecurityScopeEnum.System">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.SecurityScopeEnum.Catalog">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.SecurityScopeEnum.Model">
            <remarks/>
        </member>
        <member name="F:C1.Xaml.ImportServices.ReportingServiceXaml.SecurityScopeEnum.All">
            <remarks/>
        </member>
    </members>
</doc>
